import 'package:flutter/material.dart';
import 'package:wyatt_clean_code/core/extensions/build_context_extension.dart';

class CounterText extends StatelessWidget {
  const CounterText({
    required this.count,
    super.key,
  });

  final int count;

  @override
  Widget build(BuildContext context) => Text(
        context.l10n.youHavePushed(count),
        textAlign: TextAlign.center,
        style: Theme.of(context).textTheme.headline3,
      );
}
